> For the complete documentation index, see [llms.txt](https://docs.formas.cc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.formas.cc/discord-bot/server-characters.md).

# Server Characters

Would you like to manage characters in your server? Checkout `Server character system` which lets you list, activate, and control characters for channels.

## Commands

<details>

<summary>/server settings set</summary>

Update server settings for say logs and private threads

**Optional Arguments**

* `say_log` : Channel to log say command usage
* `unset_say_log` : Unset the log channel
* `private_thread` : Allow users to create private threads

</details>

<details>

<summary>/server settings view</summary>

View current server settings

</details>

<details>

<summary>/server character list</summary>

List all AI characters in the server

</details>

<details>

<summary>/server character info</summary>

Get information about a specific AI character

**Necessary arguments:**

* `name` : Name of the character

</details>

<details>

<summary>/server character activate</summary>

Activate a character in this channel

**Necessary arguments:**

* `name` : Name of the character

**Optional Arguments**

* `second_activate` : Activate as second character

</details>

<details>

<summary>/server character deactivate</summary>

Deactivate character in this channel

**Optional Arguments**

* `second_activate` : Deactivate second character

</details>

<details>

<summary>/server character active</summary>

List active characters in this channel

</details>

<details>

<summary>/say</summary>

Say something using a character

**Necessary arguments:**

* `name` : Character name
* `message` : Message to send

</details>

<details>

<summary>/cmh</summary>

Purge message context for the AI in this channel

</details>

<details>

<summary>/dashboard access add</summary>

Grant a user access to the server dashboard

**Necessary arguments:**

* `user` : User to grant access

</details>

<details>

<summary>/dashboard access remove</summary>

Revoke a user's access to the server dashboard

**Necessary arguments:**

* `user` : User to revoke access

</details>

<details>

<summary>/dashboard access list</summary>

List all users with manual dashboard access

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.formas.cc/discord-bot/server-characters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
